Password policy
Retrieve details of tenant password policy.
OK
The password must contains at least min_length characters.
Must be less than or equal the value of max_length.
6The password must contains at most max_length characters.
Must be greater than or equal the value of min_length.
32The password must contains at least one letter (latin characters).
trueThe password must contains at least one number (0-9).
trueThe password must contains at least one upper case letter or special character (e.g. ~,!,@,#,$,%,^,&,*,(,),_,+,=).
trueThe password must not contains sequential_characters.
trueThe password must not contains repeating_characters.
trueThe password must not similar to the account information.
trueError
GET /api/tenant/password_policy HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"min_length": 6,
"max_length": 32,
"contains_letters": true,
"contains_numbers": true,
"contains_special_letters": true,
"disable_sequential_characters": true,
"disable_repeating_characters": true,
"disable_account_information": true
}Update tenant password policy.
The password must contains at least min_length characters.
Must be less than or equal the value of max_length.
6The password must contains at most max_length characters.
Must be greater than or equal the value of min_length.
32The password must contains at least one letter (latin characters).
trueThe password must contains at least one number (0-9).
trueThe password must contains at least one upper case letter or special character (e.g. ~,!,@,#,$,%,^,&,*,(,),_,+,=).
trueThe password must not contains sequential_characters.
trueThe password must not contains repeating_characters.
trueThe password must not similar to the account information.
trueOK
No content
Error
POST /api/tenant/password_policy HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 220
{
"min_length": 6,
"max_length": 32,
"contains_letters": true,
"contains_numbers": true,
"contains_special_letters": true,
"disable_sequential_characters": true,
"disable_repeating_characters": true,
"disable_account_information": true
}No content
Was this helpful?